[arch-commits] Commit in tcpdump/trunk (PKGBUILD)

Giovanni Scafora giovanni at archlinux.org
Wed Mar 31 12:04:52 CEST 2010


    Date: Wednesday, March 31, 2010 @ 06:04:51
  Author: giovanni
Revision: 74504

upgpkg: tcpdump 4.1-1
upstream release

Modified:
  tcpdump/trunk/PKGBUILD

----------+
 PKGBUILD |   16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-03-31 09:53:24 UTC (rev 74503)
+++ PKGBUILD	2010-03-31 10:04:51 UTC (rev 74504)
@@ -3,21 +3,23 @@
 # Contributor: dorphell <dorphell at archlinux.org>
 
 pkgname=tcpdump
-pkgver=4.0.0
-pkgrel=2
+pkgver=4.1
+pkgrel=1
 pkgdesc="A tool for network monitoring and data acquisition"
 arch=('i686' 'x86_64')
 url="http://www.tcpdump.org"
 license=('BSD')
-depends=('libpcap>=1.0.0' 'openssl')
+depends=('libpcap' 'openssl')
 source=(http://www.tcpdump.org/release/${pkgname}-${pkgver}.tar.gz)
-md5sums=('b22ca72890df2301d922c9f2d17867f9')
+md5sums=('949d4661a7501cfedf7b1eb858302c9c')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
-  ./configure --prefix=/usr --enable-ipv6
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  ./configure --prefix=/usr \
+              --enable-ipv6
   make || return 1
-  make DESTDIR=${pkgdir}/ install
+  make DESTDIR="${pkgdir}" install || return 1
 
   #install the license
   install -D -m644 LICENSE $pkgdir/usr/share/licenses/$pkgname/LICENSE



More information about the arch-commits mailing list